<h1>Daniel's Dotfiles</h1>

My personal dotfiles.

I use Arch btw.

The root of this repo is equivalent to my `$HOME` directory.

<!--toc:start-->

- [This Repository](#this-repository)
  - [Note On Programs](#note-on-programs)
  - [Note On Keybindings](#note-on-keybindings)
- [Configurations](#configurations)
  - [Kakoune](#kakoune)
  - [Niri](#niri)
  - [Waybar](#waybar)
  - [Foot](#foot)

<!--toc:end-->

## This Repository

I use this repository to sync and backup my dotfiles. I use the excellent [yadm]
to manage the repo, and [autoyadm](https://git.ficd.sh/ficd/autoyadm) to automate
committing & pushing on a timer.

Therefore, these configs are:

- Always up to date...
- But potentially broken on any given commit (due to incomplete configs being
  pushed).

If you see a file with a weird name, like `config##hostname.dbox`, it's
leveraging `yadm`'s alternate files feature; the program will automatically
symlink the appropriate file to its destination depending on what comes after
the `##`. This is also how templates are handled (see [niri](./.config/niri))
for an example of this.

### Note On Programs

Not every configuration in this repo is for programs I use regularly,
or even at all!
There are many **old** configs for things I _used_ to use,
which I haven't had any reason to delete.

You may find brief explanations of the highlights.

### Note On Keybindings

I use Colemak-DH, which is a non-qwerty keyboard layout. Because I came up using
Vim, I'm used to `hjkl` for movement. However, on this layout, `mnei` occupies
the `hjkl` position. Thus, in most applications, I change the bindings so
they're more comfortable for me to use. Please keep this in mind when reading my
configs.

## Configurations

### Kakoune

- [.config/kak](.config/kak)

This is my text editor. The config is very long.
Attempting to document it would be futile because
my configuration evolves pretty often.
For highlights, please see my blog.

### Niri

- [.config/niri](.config/niri)

My window manager. I use some custom scripts here.

### Waybar

- [.config/waybar](.config/waybar)

My wayland bar. Uses some custom modules that integrate with Niri.

### Foot

- [.config/foot](.config/foot)

My terminal emulator.
